vs_1_1              // version instruction

dcl_position v0      // declare position register
dcl_color0 v5        // v5 is diffuse color
dcl_texcoord v8      // declare texture coordinate register

// multiply (x,y,z) vertex (v0) by combined world/view/proj matrix
// (c0), and put the result into the vertex's final position (oPos).
m4x4 oPos , v0, c0    

// the world/view/proj matrix takes up 4 constant slots - c0, c1, c2, and c3.
// but, we can store the color in the next constant slot - c4.
// put c4 into the first output register, which the default DirectGraphics 
// pixel shader uses as the color.
mov oD0, v5         // move diffuse color to output color register
mov oT0.xy, v8          // move texture color to output texture register     